/// <reference types="knockout" />
import { Types } from "./types";
export interface Style {
    alignContent?: Types.AlignContent | KnockoutObservable<Types.AlignContent>;
    alignItems?: Types.CssValue<Types.AlignItems> | KnockoutObservable<Types.CssValue<Types.AlignItems>>;
    alignSelf?: Types.CssValue<Types.AlignSelf> | KnockoutObservable<Types.CssValue<Types.AlignSelf>>;
    alignmentAdjust?: any | KnockoutObservable<any>;
    alignmentBaseline?: Types.AlignmentBaseline | KnockoutObservable<Types.AlignmentBaseline>;
    animation?: Types.CssValueString | KnockoutObservable<Types.CssValueString>;
    animationDelay?: any | KnockoutObservable<any>;
    animationDirection?: Types.CssGlobalValues | Types.AnimationDirection | KnockoutObservable<Types.CssGlobalValues | Types.AnimationDirection>;
    animationDuration?: Types.CssValue<string> | KnockoutObservable<Types.CssValue<string>>;
    animationFillMode?: Types.AnimationFillMode | KnockoutObservable<Types.AnimationFillMode>;
    animationIterationCount?: Types.CssValue<number> | "infinite" | KnockoutObservable<Types.CssValue<number> | "infinite">;
    animationName?: Types.CssValue<string> | KnockoutObservable<Types.CssValue<string>>;
    animationPlayState?: Types.CssValue<Types.CssAnimationPlayState> | KnockoutObservable<Types.CssValue<Types.CssAnimationPlayState>>;
    animationTimingFunction?: Types.CssValue<Types.CssTimingFunction> | KnockoutObservable<Types.CssValue<Types.CssTimingFunction>>;
    appearance?: Types.CssValue<"auto" | "none"> | KnockoutObservable<Types.CssValue<"auto" | "none">>;
    backfaceVisibility?: Types.CssGlobalValues | "visible" | "hidden" | KnockoutObservable<Types.CssGlobalValues | "visible" | "hidden">;
    background?: any | KnockoutObservable<any>;
    backgroundAttachment?: Types.BackgroundAttachment | KnockoutObservable<Types.BackgroundAttachment>;
    backgroundBlendMode?: Types.CssValue<Types.CssBlendMode> | KnockoutObservable<Types.CssValue<Types.CssBlendMode>>;
    backgroundClip?: Types.CssValue<Types.CssBox | "text"> | KnockoutObservable<Types.CssValue<Types.CssBox | "text">>;
    backgroundColor?: Types.CssValue<Types.CssColor> | KnockoutObservable<Types.CssValue<Types.CssColor>>;
    backgroundComposite?: any | KnockoutObservable<any>;
    backgroundImage?: Types.CssValue<Types.CssImage> | KnockoutObservable<Types.CssValue<Types.CssImage>>;
    backgroundOrigin?: Types.CssValue<Types.CssBox> | KnockoutObservable<Types.CssValue<Types.CssBox>>;
    backgroundPosition?: Types.CssValue<Types.CssPosition> | KnockoutObservable<Types.CssValue<Types.CssPosition>>;
    backgroundRepeat?: Types.CssValue<Types.CssRepeatStyle | string> | KnockoutObservable<Types.CssValue<Types.CssRepeatStyle | string>>;
    backgroundSize?: Types.BackgroundSize | Types.CssLength | Types.CssPercentage | Types.CssGlobalValues | KnockoutObservable<Types.BackgroundSize | Types.CssLength | Types.CssPercentage | Types.CssGlobalValues>;
    baselineShift?: any | KnockoutObservable<any>;
    behavior?: any | KnockoutObservable<any>;
    border?: any | KnockoutObservable<any>;
    borderBottom?: Types.CssBorderShorthand | KnockoutObservable<Types.CssBorderShorthand>;
    borderBottomColor?: Types.CssValue<Types.CssColor> | KnockoutObservable<Types.CssValue<Types.CssColor>>;
    borderBottomLeftRadius?: any | KnockoutObservable<any>;
    borderBottomRightRadius?: any | KnockoutObservable<any>;
    borderBottomStyle?: Types.CssValue<Types.CssLineStyle> | KnockoutObservable<Types.CssValue<Types.CssLineStyle>>;
    borderBottomWidth?: Types.CssValue<Types.CssLength | Types.CssPercentage> | KnockoutObservable<Types.CssValue<Types.CssLength | Types.CssPercentage>>;
    borderCollapse?: any | KnockoutObservable<any>;
    borderColor?: Types.CssValue<Types.CssColorSet> | KnockoutObservable<Types.CssValue<Types.CssColorSet>>;
    borderCornerShape?: any | KnockoutObservable<any>;
    borderImageSource?: Types.CssValue<Types.CssImage> | KnockoutObservable<Types.CssValue<Types.CssImage>>;
    borderImageWidth?: Types.CssValue<Types.CssLength | Types.CssPercentage> | KnockoutObservable<Types.CssValue<Types.CssLength | Types.CssPercentage>>;
    borderLeft?: Types.CssBorderShorthand | KnockoutObservable<Types.CssBorderShorthand>;
    borderLeftColor?: Types.CssValue<Types.CssColor> | KnockoutObservable<Types.CssValue<Types.CssColor>>;
    borderLeftStyle?: Types.CssValue<Types.CssLineStyle> | KnockoutObservable<Types.CssValue<Types.CssLineStyle>>;
    borderLeftWidth?: Types.CssValue<Types.CssLength | Types.CssPercentage> | KnockoutObservable<Types.CssValue<Types.CssLength | Types.CssPercentage>>;
    borderRadius?: Types.CssValue<Types.CssLength | Types.CssPercentage> | KnockoutObservable<Types.CssValue<Types.CssLength | Types.CssPercentage>>;
    borderRight?: Types.CssBorderShorthand | KnockoutObservable<Types.CssBorderShorthand>;
    borderRightColor?: Types.CssValue<Types.CssColor> | KnockoutObservable<Types.CssValue<Types.CssColor>>;
    borderRightStyle?: Types.CssValue<Types.CssLineStyle> | KnockoutObservable<Types.CssValue<Types.CssLineStyle>>;
    borderRightWidth?: Types.CssValue<Types.CssLength | Types.CssPercentage> | KnockoutObservable<Types.CssValue<Types.CssLength | Types.CssPercentage>>;
    borderSpacing?: Types.CssLength | string | "inherit" | KnockoutObservable<Types.CssLength | string | "inherit">;
    borderStyle?: Types.CssValue<Types.CssLineStyleSet> | KnockoutObservable<Types.CssValue<Types.CssLineStyleSet>>;
    borderTop?: Types.CssBorderShorthand | KnockoutObservable<Types.CssBorderShorthand>;
    borderTopColor?: Types.CssValue<Types.CssColor> | KnockoutObservable<Types.CssValue<Types.CssColor>>;
    borderTopLeftRadius?: any | KnockoutObservable<any>;
    borderTopRightRadius?: any | KnockoutObservable<any>;
    borderTopStyle?: Types.CssValue<Types.CssLineStyle> | KnockoutObservable<Types.CssValue<Types.CssLineStyle>>;
    borderTopWidth?: Types.CssValue<Types.CssLength | Types.CssPercentage> | KnockoutObservable<Types.CssValue<Types.CssLength | Types.CssPercentage>>;
    borderWidth?: Types.CssValue<Types.CssLength | Types.CssPercentage> | KnockoutObservable<Types.CssValue<Types.CssLength | Types.CssPercentage>>;
    bottom?: Types.CssValue<"auto" | Types.CssLength | Types.CssPercentage | Types.CssGlobalValues> | KnockoutObservable<Types.CssValue<"auto" | Types.CssLength | Types.CssPercentage | Types.CssGlobalValues>>;
    boxAlign?: any | KnockoutObservable<any>;
    boxDecorationBreak?: any | KnockoutObservable<any>;
    boxDirection?: any | KnockoutObservable<any>;
    boxLineProgression?: any | KnockoutObservable<any>;
    boxLines?: any | KnockoutObservable<any>;
    boxOrdinalGroup?: any | KnockoutObservable<any>;
    boxFlex?: number | KnockoutObservable<number>;
    boxSizing?: Types.CssGlobalValues | "content-box" | "border-box" | KnockoutObservable<Types.CssGlobalValues | "content-box" | "border-box">;
    boxShadow?: Types.CssValueGeneral | KnockoutObservable<Types.CssValueGeneral>;
    boxFlexGroup?: number | KnockoutObservable<number>;
    breakAfter?: Types.BreakAfter | KnockoutObservable<Types.BreakAfter>;
    breakBefore?: Types.BreakBefore | KnockoutObservable<Types.BreakBefore>;
    breakInside?: Types.BreakInside | KnockoutObservable<Types.BreakInside>;
    captionSide?: Types.CaptionSide | KnockoutObservable<Types.CaptionSide>;
    clear?: Types.CssGlobalValues | "none" | "left" | "right" | "both" | KnockoutObservable<Types.CssGlobalValues | "none" | "left" | "right" | "both">;
    clip?: any | KnockoutObservable<any>;
    clipRule?: any | KnockoutObservable<any>;
    color?: Types.CssValue<Types.CssColor> | KnockoutObservable<Types.CssValue<Types.CssColor>>;
    columnCount?: number | KnockoutObservable<number>;
    columnFill?: any | KnockoutObservable<any>;
    columnGap?: any | KnockoutObservable<any>;
    columnRule?: any | KnockoutObservable<any>;
    columnRuleColor?: Types.CssValue<Types.CssColor> | KnockoutObservable<Types.CssValue<Types.CssColor>>;
    columnRuleWidth?: Types.CssValue<Types.CssLength | Types.CssPercentage> | KnockoutObservable<Types.CssValue<Types.CssLength | Types.CssPercentage>>;
    columnSpan?: any | KnockoutObservable<any>;
    columnWidth?: Types.CssValue<Types.CssLength | Types.CssPercentage> | KnockoutObservable<Types.CssValue<Types.CssLength | Types.CssPercentage>>;
    columns?: any | KnockoutObservable<any>;
    content?: Types.CssValueString | KnockoutObservable<Types.CssValueString>;
    counterIncrement?: any | KnockoutObservable<any>;
    counterReset?: any | KnockoutObservable<any>;
    cue?: any | KnockoutObservable<any>;
    cueAfter?: any | KnockoutObservable<any>;
    cursor?: Types.Cursor | KnockoutObservable<Types.Cursor>;
    direction?: Types.CssGlobalValues | "ltr" | "rtl" | KnockoutObservable<Types.CssGlobalValues | "ltr" | "rtl">;
    display?: Types.CssValue<Types.CssGlobalValues | Types.CssDisplay> | KnockoutObservable<Types.CssValue<Types.CssGlobalValues | Types.CssDisplay>>;
    dominantBaseline?: Types.DominantBaseline | KnockoutObservable<Types.DominantBaseline>;
    emptyCells?: Types.CssGlobalValues | "show" | "hide" | KnockoutObservable<Types.CssGlobalValues | "show" | "hide">;
    fill?: Types.CssColor | "context-stroke" | "context-fill" | KnockoutObservable<Types.CssColor | "context-stroke" | "context-fill">;
    fillOpacity?: number | KnockoutObservable<number>;
    fillRule?: "nonzero" | "evenodd" | KnockoutObservable<"nonzero" | "evenodd">;
    filter?: string | KnockoutObservable<string>;
    flex?: number | string | KnockoutObservable<number | string>;
    flexAlign?: any | KnockoutObservable<any>;
    flexBasis?: any | KnockoutObservable<any>;
    flexDirection?: Types.FlexDirection | KnockoutObservable<Types.FlexDirection>;
    flexFlow?: any | KnockoutObservable<any>;
    flexGrow?: number | KnockoutObservable<number>;
    flexItemAlign?: any | KnockoutObservable<any>;
    flexLinePack?: any | KnockoutObservable<any>;
    flexPositive?: any | KnockoutObservable<any>;
    flexNegative?: any | KnockoutObservable<any>;
    flexOrder?: any | KnockoutObservable<any>;
    flexShrink?: number | KnockoutObservable<number>;
    flexWrap?: Types.FlexWrap | KnockoutObservable<Types.FlexWrap>;
    float?: Types.CssGlobalValues | "left" | "right" | "none" | "inline-start" | "inline-end" | KnockoutObservable<Types.CssGlobalValues | "left" | "right" | "none" | "inline-start" | "inline-end">;
    flowFrom?: any | KnockoutObservable<any>;
    font?: any | KnockoutObservable<any>;
    fontFamily?: any | KnockoutObservable<any>;
    fontKerning?: Types.CssGlobalValues | "auto" | "normal" | "none" | KnockoutObservable<Types.CssGlobalValues | "auto" | "normal" | "none">;
    fontSize?: Types.CssValue<Types.CssFontSize> | KnockoutObservable<Types.CssValue<Types.CssFontSize>>;
    fontSizeAdjust?: any | KnockoutObservable<any>;
    fontStretch?: Types.FontStretch | KnockoutObservable<Types.FontStretch>;
    fontStyle?: Types.CssGlobalValues | "normal" | "italic" | "oblique" | KnockoutObservable<Types.CssGlobalValues | "normal" | "italic" | "oblique">;
    fontSynthesis?: any | KnockoutObservable<any>;
    fontVariant?: any | KnockoutObservable<any>;
    fontVariantAlternates?: any | KnockoutObservable<any>;
    fontWeight?: Types.CssFontWeight | KnockoutObservable<Types.CssFontWeight>;
    gridArea?: any | KnockoutObservable<any>;
    gridAutoColumns?: any | KnockoutObservable<any>;
    gridAutoFlow?: any | KnockoutObservable<any>;
    gridAutoRows?: any | KnockoutObservable<any>;
    gridColumn?: any | KnockoutObservable<any>;
    gridColumnGap?: any | KnockoutObservable<any>;
    gridColumnEnd?: any | KnockoutObservable<any>;
    gridColumnStart?: any | KnockoutObservable<any>;
    gridGap?: any | KnockoutObservable<any>;
    gridRow?: any | KnockoutObservable<any>;
    gridRowEnd?: any | KnockoutObservable<any>;
    gridRowGap?: any | KnockoutObservable<any>;
    gridRowStart?: any | KnockoutObservable<any>;
    gridRowPosition?: any | KnockoutObservable<any>;
    gridRowSpan?: any | KnockoutObservable<any>;
    gridTemplate?: any | KnockoutObservable<any>;
    gridTemplateAreas?: any | KnockoutObservable<any>;
    gridTemplateColumns?: any | KnockoutObservable<any>;
    gridTemplateRows?: any | KnockoutObservable<any>;
    height?: Types.CssValue<"auto" | Types.CssLength | Types.CssPercentage | Types.CssGlobalValues> | KnockoutObservable<Types.CssValue<"auto" | Types.CssLength | Types.CssPercentage | Types.CssGlobalValues>>;
    hyphenateLimitChars?: any | KnockoutObservable<any>;
    hyphenateLimitLines?: any | KnockoutObservable<any>;
    hyphenateLimitZone?: any | KnockoutObservable<any>;
    hyphens?: Types.CssGlobalValues | string | "none" | "manual" | "auto" | KnockoutObservable<Types.CssGlobalValues | string | "none" | "manual" | "auto">;
    imeMode?: Types.CssGlobalValues | "auto" | "normal" | "active" | "inactive" | "disabled" | KnockoutObservable<Types.CssGlobalValues | "auto" | "normal" | "active" | "inactive" | "disabled">;
    justifyContent?: Types.JustifyContent | KnockoutObservable<Types.JustifyContent>;
    justifyItems?: Types.JustifyItems | KnockoutObservable<Types.JustifyItems>;
    justifySelf?: Types.JustifySelf | KnockoutObservable<Types.JustifySelf>;
    layoutGrid?: any | KnockoutObservable<any>;
    layoutGridChar?: any | KnockoutObservable<any>;
    layoutGridLine?: any | KnockoutObservable<any>;
    layoutGridMode?: any | KnockoutObservable<any>;
    layoutGridType?: any | KnockoutObservable<any>;
    left?: Types.CssValue<"auto" | Types.CssLength | Types.CssPercentage | Types.CssGlobalValues> | KnockoutObservable<Types.CssValue<"auto" | Types.CssLength | Types.CssPercentage | Types.CssGlobalValues>>;
    letterSpacing?: any | KnockoutObservable<any>;
    lineBreak?: any | KnockoutObservable<any>;
    lineClamp?: number | KnockoutObservable<number>;
    lineHeight?: Types.CssValue<Types.CssLength | Types.CssPercentage> | KnockoutObservable<Types.CssValue<Types.CssLength | Types.CssPercentage>>;
    listStyle?: any | KnockoutObservable<any>;
    listStyleImage?: any | KnockoutObservable<any>;
    listStylePosition?: Types.CssGlobalValues | "inside" | "outside" | KnockoutObservable<Types.CssGlobalValues | "inside" | "outside">;
    listStyleType?: any | KnockoutObservable<any>;
    margin?: any | KnockoutObservable<any>;
    marginBottom?: any | KnockoutObservable<any>;
    marginLeft?: any | KnockoutObservable<any>;
    marginRight?: any | KnockoutObservable<any>;
    marginTop?: Types.CssValueGeneral | KnockoutObservable<Types.CssValueGeneral>;
    marqueeDirection?: any | KnockoutObservable<any>;
    marqueeStyle?: any | KnockoutObservable<any>;
    mask?: any | KnockoutObservable<any>;
    maskBorder?: any | KnockoutObservable<any>;
    maskBorderRepeat?: any | KnockoutObservable<any>;
    maskBorderSlice?: any | KnockoutObservable<any>;
    maskBorderSource?: any | KnockoutObservable<any>;
    maskBorderWidth?: Types.CssValue<Types.CssLength | Types.CssPercentage> | KnockoutObservable<Types.CssValue<Types.CssLength | Types.CssPercentage>>;
    maskClip?: any | KnockoutObservable<any>;
    maskOrigin?: any | KnockoutObservable<any>;
    maxFontSize?: any | KnockoutObservable<any>;
    maxHeight?: Types.CssValue<Types.CssLength | Types.CssPercentage> | KnockoutObservable<Types.CssValue<Types.CssLength | Types.CssPercentage>>;
    maxWidth?: Types.CssValue<Types.CssLength | Types.CssPercentage> | KnockoutObservable<Types.CssValue<Types.CssLength | Types.CssPercentage>>;
    minHeight?: Types.CssValue<Types.CssLength | Types.CssPercentage> | KnockoutObservable<Types.CssValue<Types.CssLength | Types.CssPercentage>>;
    minWidth?: Types.CssValue<Types.CssLength | Types.CssPercentage> | KnockoutObservable<Types.CssValue<Types.CssLength | Types.CssPercentage>>;
    mixBlendMode?: Types.CssValue<Types.CssBlendMode> | KnockoutObservable<Types.CssValue<Types.CssBlendMode>>;
    objectFit?: Types.CssObjectFit | KnockoutObservable<Types.CssObjectFit>;
    objectPosition?: string | Types.CssGlobalValues | KnockoutObservable<string | Types.CssGlobalValues>;
    opacity?: number | Types.CssGlobalValues | KnockoutObservable<number | Types.CssGlobalValues>;
    order?: number | KnockoutObservable<number>;
    orphans?: number | KnockoutObservable<number>;
    outline?: any | KnockoutObservable<any>;
    outlineColor?: Types.CssValue<Types.CssColor> | KnockoutObservable<Types.CssValue<Types.CssColor>>;
    outlineStyle?: Types.OutlineStyle | KnockoutObservable<Types.OutlineStyle>;
    outlineOffset?: any | KnockoutObservable<any>;
    outlineWidth?: Types.CssGlobalValues | "thin" | "medium" | "thick" | Types.CssLength | KnockoutObservable<Types.CssGlobalValues | "thin" | "medium" | "thick" | Types.CssLength>;
    overflow?: Types.CssValue<Types.CssOverflow> | KnockoutObservable<Types.CssValue<Types.CssOverflow>>;
    overflowStyle?: any | KnockoutObservable<any>;
    overflowWrap?: Types.CssGlobalValues | "normal" | "break-word" | KnockoutObservable<Types.CssGlobalValues | "normal" | "break-word">;
    overflowX?: Types.CssValue<Types.CssOverflow> | KnockoutObservable<Types.CssValue<Types.CssOverflow>>;
    overflowY?: Types.CssValue<Types.CssOverflow> | KnockoutObservable<Types.CssValue<Types.CssOverflow>>;
    padding?: any | KnockoutObservable<any>;
    paddingBottom?: Types.CssValue<Types.CssLength | Types.CssPercentage> | KnockoutObservable<Types.CssValue<Types.CssLength | Types.CssPercentage>>;
    paddingLeft?: Types.CssValue<Types.CssLength | Types.CssPercentage> | KnockoutObservable<Types.CssValue<Types.CssLength | Types.CssPercentage>>;
    paddingRight?: Types.CssValue<Types.CssLength | Types.CssPercentage> | KnockoutObservable<Types.CssValue<Types.CssLength | Types.CssPercentage>>;
    paddingTop?: Types.CssValue<Types.CssLength | Types.CssPercentage> | KnockoutObservable<Types.CssValue<Types.CssLength | Types.CssPercentage>>;
    pageBreakAfter?: Types.PageBreakAfter | KnockoutObservable<Types.PageBreakAfter>;
    pageBreakBefore?: Types.PageBreakBefore | KnockoutObservable<Types.PageBreakBefore>;
    pageBreakInside?: Types.CssGlobalValues | "auto" | "avoid" | KnockoutObservable<Types.CssGlobalValues | "auto" | "avoid">;
    pause?: any | KnockoutObservable<any>;
    pauseAfter?: any | KnockoutObservable<any>;
    pauseBefore?: any | KnockoutObservable<any>;
    perspective?: any | KnockoutObservable<any>;
    perspectiveOrigin?: any | KnockoutObservable<any>;
    pointerEvents?: Types.PointerEvents | KnockoutObservable<Types.PointerEvents>;
    position?: Types.PositionX | KnockoutObservable<Types.PositionX>;
    punctuationTrim?: any | KnockoutObservable<any>;
    quotes?: any | KnockoutObservable<any>;
    regionFragment?: any | KnockoutObservable<any>;
    resize?: Types.CssGlobalValues | "none" | "both " | "horizontal" | "vertical" | KnockoutObservable<Types.CssGlobalValues | "none" | "both " | "horizontal" | "vertical">;
    restAfter?: any | KnockoutObservable<any>;
    restBefore?: any | KnockoutObservable<any>;
    right?: Types.CssValue<"auto" | Types.CssLength | Types.CssPercentage | Types.CssGlobalValues> | KnockoutObservable<Types.CssValue<"auto" | Types.CssLength | Types.CssPercentage | Types.CssGlobalValues>>;
    rubyAlign?: Types.CssGlobalValues | "start" | "center" | "space-between" | "space-around" | KnockoutObservable<Types.CssGlobalValues | "start" | "center" | "space-between" | "space-around">;
    rubyPosition?: Types.CssGlobalValues | "over" | "under" | "inter-character" | KnockoutObservable<Types.CssGlobalValues | "over" | "under" | "inter-character">;
    rx?: number | KnockoutObservable<number>;
    ry?: number | KnockoutObservable<number>;
    shapeImageThreshold?: any | KnockoutObservable<any>;
    shapeInside?: any | KnockoutObservable<any>;
    shapeMargin?: any | KnockoutObservable<any>;
    shapeOutside?: any | KnockoutObservable<any>;
    speak?: any | KnockoutObservable<any>;
    speakAs?: any | KnockoutObservable<any>;
    src?: Types.CssValueString | KnockoutObservable<Types.CssValueString>;
    stroke?: string | KnockoutObservable<string>;
    strokeDasharray?: number[] | KnockoutObservableArray<number>;
    strokeDashoffset?: Types.CssValue<Types.CssGlobalValues | Types.CssLength | Types.CssPercentage> | KnockoutObservable<Types.CssValue<Types.CssGlobalValues | Types.CssLength | Types.CssPercentage>>;
    strokeLinecap?: Types.CssGlobalValues | "butt" | "round" | "square" | KnockoutObservable<Types.CssGlobalValues | "butt" | "round" | "square">;
    strokeOpacity?: number | KnockoutObservable<number>;
    strokeWidth?: Types.CssValue<Types.CssLength | Types.CssPercentage> | KnockoutObservable<Types.CssValue<Types.CssLength | Types.CssPercentage>>;
    tabSize?: any | KnockoutObservable<any>;
    tableLayout?: any | KnockoutObservable<any>;
    textAnchor?: "start" | "middle" | "end" | "inherit" | KnockoutObservable<"start" | "middle" | "end" | "inherit">;
    textAlign?: Types.TextAlign | KnockoutObservable<Types.TextAlign>;
    textAlignLast?: Types.TextAlignLast | KnockoutObservable<Types.TextAlignLast>;
    textDecoration?: any | KnockoutObservable<any>;
    textDecorationColor?: Types.CssValue<Types.CssColor> | KnockoutObservable<Types.CssValue<Types.CssColor>>;
    textDecorationLine?: any | KnockoutObservable<any>;
    textDecorationLineThrough?: any | KnockoutObservable<any>;
    textDecorationNone?: any | KnockoutObservable<any>;
    textDecorationOverline?: any | KnockoutObservable<any>;
    textDecorationSkip?: any | KnockoutObservable<any>;
    textDecorationStyle?: Types.CssGlobalValues | "solid" | "double" | "dotted" | "dashed" | "wavy" | KnockoutObservable<Types.CssGlobalValues | "solid" | "double" | "dotted" | "dashed" | "wavy">;
    textDecorationUnderline?: any | KnockoutObservable<any>;
    textEmphasis?: any | KnockoutObservable<any>;
    textEmphasisColor?: Types.CssValue<Types.CssColor> | KnockoutObservable<Types.CssValue<Types.CssColor>>;
    textEmphasisStyle?: any | KnockoutObservable<any>;
    textHeight?: Types.CssValue<Types.CssLength | Types.CssPercentage> | KnockoutObservable<Types.CssValue<Types.CssLength | Types.CssPercentage>>;
    textIndent?: any | KnockoutObservable<any>;
    textJustifyTrim?: any | KnockoutObservable<any>;
    textKashidaSpace?: any | KnockoutObservable<any>;
    textLineThrough?: any | KnockoutObservable<any>;
    textLineThroughColor?: Types.CssValue<Types.CssColor> | KnockoutObservable<Types.CssValue<Types.CssColor>>;
    textLineThroughMode?: any | KnockoutObservable<any>;
    textLineThroughStyle?: any | KnockoutObservable<any>;
    textLineThroughWidth?: Types.CssValue<Types.CssLength | Types.CssPercentage> | KnockoutObservable<Types.CssValue<Types.CssLength | Types.CssPercentage>>;
    textOverflow?: Types.CssGlobalValues | "clip" | "ellipsis" | string | KnockoutObservable<Types.CssGlobalValues | "clip" | "ellipsis" | string>;
    textOverline?: any | KnockoutObservable<any>;
    textOverlineColor?: Types.CssValue<Types.CssColor> | KnockoutObservable<Types.CssValue<Types.CssColor>>;
    textOverlineMode?: any | KnockoutObservable<any>;
    textOverlineStyle?: any | KnockoutObservable<any>;
    textOverlineWidth?: Types.CssValue<Types.CssLength | Types.CssPercentage> | KnockoutObservable<Types.CssValue<Types.CssLength | Types.CssPercentage>>;
    textRendering?: Types.CssGlobalValues | "auto" | "optimizeSpeed" | "optimizeLegibility" | "geometricPrecision" | KnockoutObservable<Types.CssGlobalValues | "auto" | "optimizeSpeed" | "optimizeLegibility" | "geometricPrecision">;
    textScript?: any | KnockoutObservable<any>;
    textShadow?: any | KnockoutObservable<any>;
    textTransform?: Types.TextTransform | KnockoutObservable<Types.TextTransform>;
    textUnderlinePosition?: any | KnockoutObservable<any>;
    textUnderlineStyle?: any | KnockoutObservable<any>;
    top?: Types.CssValue<"auto" | Types.CssLength | Types.CssPercentage | Types.CssGlobalValues> | KnockoutObservable<Types.CssValue<"auto" | Types.CssLength | Types.CssPercentage | Types.CssGlobalValues>>;
    touchAction?: Types.TouchAction | KnockoutObservable<Types.TouchAction>;
    transform?: Types.CssTransformFunction | KnockoutObservable<Types.CssTransformFunction>;
    transformOrigin?: any | KnockoutObservable<any>;
    transformOriginZ?: any | KnockoutObservable<any>;
    transformStyle?: Types.CssGlobalValues | "flat" | "preserve-3d" | KnockoutObservable<Types.CssGlobalValues | "flat" | "preserve-3d">;
    transition?: any | KnockoutObservable<any>;
    transitionDelay?: any | KnockoutObservable<any>;
    transitionDuration?: any | KnockoutObservable<any>;
    transitionProperty?: Types.CssValueString | KnockoutObservable<Types.CssValueString>;
    transitionTimingFunction?: Types.CssTimingFunction | KnockoutObservable<Types.CssTimingFunction>;
    unicodeBidi?: any | KnockoutObservable<any>;
    unicodeRange?: any | KnockoutObservable<any>;
    userFocus?: any | KnockoutObservable<any>;
    userInput?: any | KnockoutObservable<any>;
    userSelect?: "auto" | "text" | "none" | "contain" | "all" | KnockoutObservable<"auto" | "text" | "none" | "contain" | "all">;
    verticalAlign?: Types.VerticalAlign | KnockoutObservable<Types.VerticalAlign>;
    visibility?: Types.CssGlobalValues | "visible" | "hidden" | "collapse" | KnockoutObservable<Types.CssGlobalValues | "visible" | "hidden" | "collapse">;
    voiceBalance?: any | KnockoutObservable<any>;
    voiceDuration?: any | KnockoutObservable<any>;
    voiceFamily?: any | KnockoutObservable<any>;
    voicePitch?: any | KnockoutObservable<any>;
    voiceRange?: any | KnockoutObservable<any>;
    voiceRate?: any | KnockoutObservable<any>;
    voiceStress?: any | KnockoutObservable<any>;
    voiceVolume?: any | KnockoutObservable<any>;
    whiteSpace?: Types.CssGlobalValues | "normal" | "nowrap" | "pre" | "pre-line" | "pre-wrap" | KnockoutObservable<Types.CssGlobalValues | "normal" | "nowrap" | "pre" | "pre-line" | "pre-wrap">;
    whiteSpaceTreatment?: any | KnockoutObservable<any>;
    widows?: number | KnockoutObservable<number>;
    width?: Types.CssValue<"auto" | Types.CssLength | Types.CssPercentage | Types.CssGlobalValues> | KnockoutObservable<Types.CssValue<"auto" | Types.CssLength | Types.CssPercentage | Types.CssGlobalValues>>;
    willChange?: Types.CssValue<"auto" | "scroll-position" | "contents" | Types.CssValueString> | KnockoutObservable<Types.CssValue<"auto" | "scroll-position" | "contents" | Types.CssValueString>>;
    wordBreak?: Types.CssGlobalValues | "normal" | "break-all" | "keep-all" | KnockoutObservable<Types.CssGlobalValues | "normal" | "break-all" | "keep-all">;
    wordSpacing?: Types.CssGlobalValues | "normal" | Types.CssLength | Types.CssPercentage | KnockoutObservable<Types.CssGlobalValues | "normal" | Types.CssLength | Types.CssPercentage>;
    wordWrap?: Types.CssGlobalValues | "normal" | "break-word" | KnockoutObservable<Types.CssGlobalValues | "normal" | "break-word">;
    wrapFlow?: any | KnockoutObservable<any>;
    wrapMargin?: any | KnockoutObservable<any>;
    wrapOption?: any | KnockoutObservable<any>;
    writingMode?: Types.WritingMode | KnockoutObservable<Types.WritingMode>;
    zIndex?: Types.CssGlobalValues | "auto" | number | KnockoutObservable<Types.CssGlobalValues | "auto" | number>;
    zoom?: "auto" | number | KnockoutObservable<"auto" | number>;
}
